2 Dimensional Ising Model Simulate the change in energy and magnetization in a ferro magnet

Loading...
Searching...
No Matches
Classes | Macros
IsingModel.hpp File Reference

The definition of the Ising model. More...

`#include "constants.hpp"`
`#include "data_type.hpp"`
`#include "typedefs.hpp"`
`#include "utils.hpp"`
`#include <armadillo>`
`#include <random>`
`#include <unordered_map>`

Go to the source code of this file.

## Classes
class | IsingModel
| The Ising model in 2 dimensions. More...

## Macros
#define | INDEX(I, N) (I + N) % N
#define | UP 0
#define | LEFT 0
#define | DOWN 1
#define | RIGHT 1

## Detailed Description

The definition of the Ising model.

Author
  Cory Alexander Balaton (coryab)
  Janita Ovidie Sandtrøen Willumsen (janitaws)

Version
  0.1

Bug:
  No known bugs

Definition in file IsingModel.hpp.

## Macro Definition Documentation

## ◆ DOWN

#define DOWN 1

Definition at line 29 of file IsingModel.hpp.

## ◆ INDEX

#define INDEX | ( |  | I,
|  |  | N
| ) |  | (I + N) % N

Definition at line 24 of file IsingModel.hpp.

## ◆ LEFT

#define LEFT 0

Definition at line 28 of file IsingModel.hpp.

## ◆ RIGHT

#define RIGHT 1

Definition at line 30 of file IsingModel.hpp.

## ◆ UP

#define UP 0

Definition at line 27 of file IsingModel.hpp.